SETUPS API
Response and request schema references are described in API schemas.
GET /stats/setups/gap-orb-pdhlb/doc
Section titled “GET /stats/setups/gap-orb-pdhlb/doc”Gap Orb Pdhlb Doc
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }}GET /stats/setups/gap-orb-pdhlb/summary
Section titled “GET /stats/setups/gap-orb-pdhlb/summary”Gap Orb Pdhlb Summary
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g. 1M, 3M, 6M, 12M, 24M, 5Y) |
side |
query | No | {"type": "string", "default": "both"} |
One of: long, short, both |
min_gap_pct |
query | No | {"type": "number", "default": 0.3} |
Minimum absolute gap percent |
max_gap_pct |
query | No | {"type": "number", "default": 2.0} |
Maximum absolute gap percent |
orb_minutes |
query | No | {"type": "integer", "default": 15} |
Opening range duration in minutes |
entry_cutoff |
query | No | {"type": "string", "default": "11:00"} |
Entry cutoff in America/New_York (HH:MM) |
time_exit |
query | No | {"type": "string", "default": "15:55"} |
Time exit in America/New_York (HH:MM) |
target_model |
query | No | {"type": "string", "default": "1r"} |
One of: 1r, 2r, eod, hybrid |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}GET /stats/setups/gap-orb-pdhlb/trades
Section titled “GET /stats/setups/gap-orb-pdhlb/trades”Gap Orb Pdhlb Trades
Parameters
Section titled “Parameters”| Name | In | Required | Type / constraints | Description |
|---|---|---|---|---|
symbol |
query | Yes | {"type": "string"} |
|
start_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
Start date (YYYY-MM-DD) |
end_date |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}]} |
End date (YYYY-MM-DD) |
time_window |
query | No | {"anyOf": [{"type": "string"}, {"type": "null"}], "default": "12M"} |
Predefined time window (e.g. 1M, 3M, 6M, 12M, 24M, 5Y) |
side |
query | No | {"type": "string", "default": "both"} |
One of: long, short, both |
min_gap_pct |
query | No | {"type": "number", "default": 0.3} |
Minimum absolute gap percent |
max_gap_pct |
query | No | {"type": "number", "default": 2.0} |
Maximum absolute gap percent |
orb_minutes |
query | No | {"type": "integer", "default": 15} |
Opening range duration in minutes |
entry_cutoff |
query | No | {"type": "string", "default": "11:00"} |
Entry cutoff in America/New_York (HH:MM) |
time_exit |
query | No | {"type": "string", "default": "15:55"} |
Time exit in America/New_York (HH:MM) |
target_model |
query | No | {"type": "string", "default": "1r"} |
One of: 1r, 2r, eod, hybrid |
limit |
query | No | {"anyOf": [{"type": "integer"}, {"type": "null"}]} |
Optional maximum number of trades to return |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}